// Code generated by go-swagger; DO NOT EDIT.

package models

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"github.com/go-openapi/strfmt"
	"github.com/go-openapi/swag"
)

// SelfUserResponse self user response
//
// swagger:model selfUserResponse
type SelfUserResponse struct {

	// user creation date
	Date float64 `json:"date,omitempty"`

	// user id
	ID int64 `json:"id,omitempty"`

	// user login
	Login string `json:"login,omitempty"`

	// user role list
	Roles []string `json:"roles"`
}

// Validate validates this self user response
func (m *SelfUserResponse) Validate(formats strfmt.Registry) error {
	return nil
}

// MarshalBinary interface implementation
func (m *SelfUserResponse) MarshalBinary() ([]byte, error) {
	if m == nil {
		return nil, nil
	}
	return swag.WriteJSON(m)
}

// UnmarshalBinary interface implementation
func (m *SelfUserResponse) UnmarshalBinary(b []byte) error {
	var res SelfUserResponse
	if err := swag.ReadJSON(b, &res); err != nil {
		return err
	}
	*m = res
	return nil
}
